GET /api/signals/filters/{objectType} - Signal options
Retrieve available signal types for contacts or companies. Returns valid values for allSignals, promotion, companyChange, and company-level signals.
GET
/
api
/
signals
/
filters
/
{objectType}
Get Signal Options
curl --request GET \
--url https://api.lusha.com/api/signals/filters/{objectType} \
--header 'api_key: <api-key>'import requests
url = "https://api.lusha.com/api/signals/filters/{objectType}"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.lusha.com/api/signals/filters/{objectType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.lusha.com/api/signals/filters/{objectType}")
.header("api_key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/api/signals/filters/{objectType}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"objectType": "contact",
"signals": ["allSignals", "promotion", "companyChange"]
}
{
"objectType": "company",
"signals": [
"allSignals",
"surgeInHiring",
"surgeInHiringByDepartment",
"surgeInHiringByLocation",
"headcountIncrease1m",
"headcountDecrease1m",
"headcountIncrease3m",
"headcountDecrease3m",
"headcountIncrease6m",
"headcountDecrease6m",
"headcountIncrease12m",
"headcountDecrease12m",
"websiteTrafficIncrease",
"websiteTrafficDecrease",
"itSpendIncrease",
"itSpendDecrease",
"commercialActivityNews",
"corporateStrategyNews",
"financialEventsNews",
"marketIntelligenceNews",
"peopleNews",
"productActivityNews",
"riskNews"
],
"filterOptions": {
"newsEventTypes": [
"Partnership",
"New Customer",
"Funding Round",
"IPO",
"Executive Hire",
"Product Launch"
],
"hiringByDepartments": [
"Engineering & Technical",
"Sales",
"Marketing",
"Finance",
"Human Resources"
],
"hiringByLocations": [
{ "country": "United States", "state": "California" },
{ "country": "United States", "state": "New York" },
{ "country": "Germany" }
]
}
}
Before filtering contacts or companies by signals, call this endpoint to discover which signal types are available and what values are valid for signal sub-filters like news event types, hiring departments, and hiring locations. The endpoint returns different signal types depending on whether you query for
Authentication: API key (
Headcount Trends
Technology & Digital Presence
News Events
contact or company.
Endpoints
GET https://api.lusha.com/api/signals/filters/contact
GET https://api.lusha.com/api/signals/filters/company
ApiKeyAuth)
Path parameter
Available signal types
Contact signals
| Signal | Description |
|---|---|
allSignals | All available contact signal types |
promotion | Job title promotions within the same company |
companyChange | Contact has moved to a new employer |
Company signals
Hiring & Workforce| Signal | Description |
|---|---|
allSignals | All available company signal types |
surgeInHiring | Overall hiring activity increase |
surgeInHiringByDepartment | Department-specific hiring surge |
surgeInHiringByLocation | Location-specific hiring surge |
| Signal | Description |
|---|---|
headcountIncrease1m / headcountDecrease1m | 1-month employee count change |
headcountIncrease3m / headcountDecrease3m | 3-month employee count change |
headcountIncrease6m / headcountDecrease6m | 6-month employee count change |
headcountIncrease12m / headcountDecrease12m | 12-month employee count change |
| Signal | Description |
|---|---|
websiteTrafficIncrease | Website traffic growth |
websiteTrafficDecrease | Website traffic decline |
itSpendIncrease | IT spending increase |
itSpendDecrease | IT spending decrease |
| Signal | Included event types |
|---|---|
commercialActivityNews | Partnership, New Customer, New Vendor |
corporateStrategyNews | M&A, Facilities Expansion, New Location, Facility Closure, Asset Sale, Lawsuit Filed |
financialEventsNews | Funding Round, Asset Investment, Strategic Investment, IPO |
marketIntelligenceNews | Event Participation, Recognition, Competitor Activity |
peopleNews | Executive Hire, Executive Departure, Executive Promotion, Headcount Increase, Headcount Decrease |
productActivityNews | Product Launch, Product Development, Product Integration |
riskNews | Security Issue, Lawsuit Faced |
Response
200 - Success
List of available signal type identifiers for this entity type. Example:
["promotion", "companyChange"]Available enum values for signal sub-filters. Only present in the company (
/company) response.Error codes
| Status | Meaning |
|---|---|
401 | Unauthorized - your API key is missing or invalid. |
403 | Forbidden - your plan does not include signals access. |
Example responses
{
"objectType": "contact",
"signals": ["allSignals", "promotion", "companyChange"]
}
{
"objectType": "company",
"signals": [
"allSignals",
"surgeInHiring",
"surgeInHiringByDepartment",
"surgeInHiringByLocation",
"headcountIncrease1m",
"headcountDecrease1m",
"headcountIncrease3m",
"headcountDecrease3m",
"headcountIncrease6m",
"headcountDecrease6m",
"headcountIncrease12m",
"headcountDecrease12m",
"websiteTrafficIncrease",
"websiteTrafficDecrease",
"itSpendIncrease",
"itSpendDecrease",
"commercialActivityNews",
"corporateStrategyNews",
"financialEventsNews",
"marketIntelligenceNews",
"peopleNews",
"productActivityNews",
"riskNews"
],
"filterOptions": {
"newsEventTypes": [
"Partnership",
"New Customer",
"Funding Round",
"IPO",
"Executive Hire",
"Product Launch"
],
"hiringByDepartments": [
"Engineering & Technical",
"Sales",
"Marketing",
"Finance",
"Human Resources"
],
"hiringByLocations": [
{ "country": "United States", "state": "California" },
{ "country": "United States", "state": "New York" },
{ "country": "Germany" }
]
}
}
Authorizations
Path Parameters
Was this page helpful?
⌘I
Get Signal Options
curl --request GET \
--url https://api.lusha.com/api/signals/filters/{objectType} \
--header 'api_key: <api-key>'import requests
url = "https://api.lusha.com/api/signals/filters/{objectType}"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.lusha.com/api/signals/filters/{objectType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.lusha.com/api/signals/filters/{objectType}")
.header("api_key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/api/signals/filters/{objectType}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"objectType": "contact",
"signals": ["allSignals", "promotion", "companyChange"]
}
{
"objectType": "company",
"signals": [
"allSignals",
"surgeInHiring",
"surgeInHiringByDepartment",
"surgeInHiringByLocation",
"headcountIncrease1m",
"headcountDecrease1m",
"headcountIncrease3m",
"headcountDecrease3m",
"headcountIncrease6m",
"headcountDecrease6m",
"headcountIncrease12m",
"headcountDecrease12m",
"websiteTrafficIncrease",
"websiteTrafficDecrease",
"itSpendIncrease",
"itSpendDecrease",
"commercialActivityNews",
"corporateStrategyNews",
"financialEventsNews",
"marketIntelligenceNews",
"peopleNews",
"productActivityNews",
"riskNews"
],
"filterOptions": {
"newsEventTypes": [
"Partnership",
"New Customer",
"Funding Round",
"IPO",
"Executive Hire",
"Product Launch"
],
"hiringByDepartments": [
"Engineering & Technical",
"Sales",
"Marketing",
"Finance",
"Human Resources"
],
"hiringByLocations": [
{ "country": "United States", "state": "California" },
{ "country": "United States", "state": "New York" },
{ "country": "Germany" }
]
}
}